# List Settlement Queue Entries

Retrieve a list of Settlement Queue Entry resources.

Endpoint: GET /settlement_queue_entries
Version: 2022-02-01
Security: BasicAuth

## Header parameters:

  - `Finix-Version` (string)
    Specify the API version of your request. For more details, see Versioning.
    Example: "2022-02-01"

## Query parameters:

  - `after_cursor` (string)
    Return every resource created after the cursor value.

  - `before_cursor` (string)
    Return every resource created before the cursor value.

  - `application_id` (string)
    Filter by Application ID.
    Example: "APc9vhYcPsRuTSpKD9KpMtPe"

  - `created_at.gte` (string)
    Filter where created_at is after the given date.
    Example: "2022-09-27T11:21:23"

  - `created_at.lte` (string)
    Filter where created_at is before the given date.
    Example: "2026-09-27T11:21:23"

  - `entity_id` (string)
    Filter by the entity_id of the resource inside the Settlement Queue Entry.
    Example: "TRdhp3DszqDKbNvwtn7DDcUi"

  - `entity_type` (string)
    Filter by entity_type.
    Example: "TRANSFER"

  - `limit` (integer)
    The numbers of items to return.
    Example: 10

  - `merchant_id` (string)
    Filter by Merchant ID.
    Example: "MUeDVrf2ahuKc9Eg5TeZugvs"

  - `ready_to_settle_after.gte` (string)
    Filter where ready_to_settle_after is after the given date.
    Example: "2023-06-28T00:00:00"

  - `ready_to_settle_after.lte` (string)
    Filter where ready_to_settle_after is before the given date.
    Example: "2026-09-27T11:21:23"

  - `state` (string)
    Filter by state.
    Enum: "AWAITING_SETTLEMENT_TIME", "PENDING", "RELEASED"

  - `updated_at.gte` (string)
    Filter where updated_at is after the given date.
    Example: "2022-09-27T11:21:23"

  - `updated_at.lte` (string)
    Filter where updated_at is before the given date.
    Example: "2026-09-27T11:21:23"

## Response 200 fields (application/json):

  - `page` (object)
    Details the page that's returned.

  - `page.limit` (integer)
    The number of entries to return.

  - `page.next_cursor` (string,null)
    The cursor to use for the next page of results.

  - `_embedded` (object)

  - `_embedded.settlement_queue_entries` (array)

  - `_embedded.settlement_queue_entries.id` (string)
    The ID of the resource.

  - `_embedded.settlement_queue_entries.created_at` (string)
    Timestamp of when the object was created.

  - `_embedded.settlement_queue_entries.updated_at` (string)
    Timestamp of when the object was last updated.

  - `_embedded.settlement_queue_entries.application_id` (string)
    ID of the Application the resource was created under.

  - `_embedded.settlement_queue_entries.entity_id` (string)
    The ID of the related resource.

  - `_embedded.settlement_queue_entries.entity_type` (string)
    The entity the Settlement Queue Entry is linked to.
    Enum: "ADJUSTMENT", "DISPUTE_TRANSFER", "FEE", "TRANSFER", "REVERSE", "SPLIT_TRANSFER"

  - `_embedded.settlement_queue_entries.merchant_id` (string)
    The ID of the Merchant resource the entity was created for and will settle under.

  - `_embedded.settlement_queue_entries.platform_id` (string)
    The unique identifier for the Platform where the entity associated with the Settlement Queue Entry was created.

  - `_embedded.settlement_queue_entries.ready_to_settle_after` (string,null)
    A timestamp indicating when the Settlement Queue Entry can be processed for settlement.

  - `_embedded.settlement_queue_entries.state` (string)
    The current state of the Settlement Queue Entry.
    Enum: "AWAITING_SETTLEMENT_TIME", "PENDING", "RELEASED"

  - `_embedded.settlement_queue_entries._links` (object)
    An object containing link(s) relevant to the request. You can store these links for follow-up requests.

  - `_embedded.settlement_queue_entries._links.self` (object)

  - `_embedded.settlement_queue_entries._links.self.href` (string)
    The path to the new Settlement Queue Entry resource.

  - `_links` (object)

  - `_links.self` (object)
    Link to the resource that was used in the request.

  - `_links.self.href` (string)

  - `_links.next` (object)
    Link to the next page of entries.

  - `_links.next.href` (string)

## Response 401 fields (application/json):

  - `total` (integer, required)
    Total number of errors returned.

  - `_embedded` (object, required)
    Container for embedded error objects.

  - `_embedded.errors` (array)
    List of individual error objects.

  - `_embedded.errors.code` (string)
    The error code. The UNKNOWN error code is returned for a 401 Unauthorized or 403 Forbidden request.

  - `_embedded.errors.logref` (string)
    A log reference identifier for the error, useful for debugging and support purposes.

  - `_embedded.errors.message` (string)
    A human-friendly error message.

  - `_embedded.errors._links` (object)
    Links related to this error.

  - `_embedded.errors._links.self` (object)
    Link to the resource related to the error.

  - `_embedded.errors._links.self.href` (string)
    URL of the related resource.

## Response 403 fields (application/json):

  - `total` (integer, required)
    Total number of errors returned.

  - `_embedded` (object, required)
    Container for embedded error objects.

  - `_embedded.errors` (array)
    List of individual error objects.

  - `_embedded.errors.code` (string)
    The error code. The UNKNOWN error code is returned for a 401 Unauthorized or 403 Forbidden request.

  - `_embedded.errors.logref` (string)
    A log reference identifier for the error, useful for debugging and support purposes.

  - `_embedded.errors.message` (string)
    A human-friendly error message.

  - `_embedded.errors._links` (object)
    Links related to this error.

  - `_embedded.errors._links.self` (object)
    Link to the resource related to the error.

  - `_embedded.errors._links.self.href` (string)
    URL of the related resource.

## Response 406 fields (application/json):

  - `total` (integer, required)
    Total number of errors returned.

  - `_embedded` (object, required)
    Container for embedded error objects.

  - `_embedded.errors` (array)
    List of individual error objects.

  - `_embedded.errors.code` (string)
    The error code. The UNKNOWN error code is returned for a 401 Unauthorized or 403 Forbidden request.

  - `_embedded.errors.logref` (string)
    A log reference identifier for the error, useful for debugging and support purposes.

  - `_embedded.errors.message` (string)
    A human-friendly error message.

  - `_embedded.errors._links` (object)
    Links related to this error.

  - `_embedded.errors._links.self` (object)
    Link to the resource related to the error.

  - `_embedded.errors._links.self.href` (string)
    URL of the related resource.


